loader.h File Reference

LOADER Service. More...

`#include <3ds/exheader.h>`
`#include <3ds/services/fs.h>`

Go to the source code of this file.

## Functions

Result | loaderInit (void)
| Initializes LOADER.
void | loaderExit (void)
| Exits LOADER.
Result | LOADER_LoadProcess (Handle *process, u64 programHandle)
| Loads a program and returns a process handle to the newly created process. More...
Result | LOADER_RegisterProgram (u64 *programHandle, const FS_ProgramInfo *programInfo, const FS_ProgramInfo *programInfoUpdate)
| Registers a program (along with its update). More...
Result | LOADER_UnregisterProgram (u64 programHandle)
| Unregisters a program (along with its update). More...
Result | LOADER_GetProgramInfo (ExHeader_Info *exheaderInfo, u64 programHandle)
| Retrives a program's main NCCH extended header info (SCI + ACI, see ExHeader_Info). More...

## Detailed Description

LOADER Service.

## Function Documentation

## LOADER_GetProgramInfo()

Result LOADER_GetProgramInfo | ( | ExHeader_Info * | exheaderInfo,
|  | u64 | programHandle
| ) |  |

Retrives a program's main NCCH extended header info (SCI + ACI, see ExHeader_Info).

Parameters

  [out] | exheaderInfo | Pointer to output the main NCCH extended header info.
  | programHandle | The handle of the program to unregister

## LOADER_LoadProcess()

Result LOADER_LoadProcess | ( | Handle * | process,
|  | u64 | programHandle
| ) |  |

Loads a program and returns a process handle to the newly created process.

Parameters

  [out] | process | Pointer to output the process handle to.
  | programHandle | The handle of the program to load.

## LOADER_RegisterProgram()

Result LOADER_RegisterProgram | ( | u64 * | programHandle,
|  | const FS_ProgramInfo * | programInfo,
|  | const FS_ProgramInfo * | programInfoUpdate
| ) |  |

Registers a program (along with its update).

Parameters

  [out] | programHandle | Pointer to output the program handle to.
  | programInfo | The program info.
  | programInfo | The program update info.

## LOADER_UnregisterProgram()

Result LOADER_UnregisterProgram | ( | u64 | programHandle | ) |

Unregisters a program (along with its update).

Parameters

  programHandle | The handle of the program to unregister.